unit UserSessionUnit;

{
  This is a DataModule where you can add components or declare fields that are specific to 
  ONE user. Instead of creating global variables, it is better to use this datamodule. You can then
  access the it using UserSession.
}
interface

uses
  IWUserSessionBase, SysUtils, Classes, WideStrings, DBXFirebird, DB, SqlExpr,
  FMTBcd, Provider, DBClient;

type
  TIWUserSession = class(TIWUserSessionBase)
    sqlConn: TSQLConnection;
    qryTiposAgenda: TSQLQuery;
    dspTiposAgenda: TDataSetProvider;
    qryTiposAgendaCODTIP: TIntegerField;
    qryTiposAgendaNOMTIP: TStringField;
    qryTiposAgendaSITTIP: TStringField;
    qryTiposAgendaINCTIP: TSQLTimeStampField;
    qryTiposAgendaALTTIP: TSQLTimeStampField;
    cdsTiposAgenda: TClientDataSet;
    cdsTiposAgendaCODTIP: TIntegerField;
    cdsTiposAgendaNOMTIP: TStringField;
    cdsTiposAgendaSITTIP: TStringField;
    cdsTiposAgendaINCTIP: TSQLTimeStampField;
    cdsTiposAgendaALTTIP: TSQLTimeStampField;
    procedure cdsTiposAgendaAfterPost(DataSet: TDataSet);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

implementation

uses ServerController;

{$R *.dfm}

procedure TIWUserSession.cdsTiposAgendaAfterPost(DataSet: TDataSet);
begin
  if cdsTiposAgenda.ApplyUpdates(0) <> 0 then
    raise Exception.Create('Erro ao gravar no banco de dados');
end;

end.