unit ufrmPrincipal;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, RpDefine, RpRave, StdCtrls, RvCsStd, RvClass, RvCsDraw, ExtCtrls,
  DB, DBClient, TeeProcs, TeEngine, Chart, DBChart, Grids, DBGrids, Series,
  RpCon, RpConDS, RvCsRpt, RpTChart, RpBase;

type
  TForm1 = class(TForm)
    prjRave: TRvProject;
    GroupBox1: TGroupBox;
    memTxtPadrao: TMemo;
    Label1: TLabel;
    Button1: TButton;
    Label2: TLabel;
    Image1: TImage;
    Label3: TLabel;
    ClientDataSet1: TClientDataSet;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Label4: TLabel;
    DBChart1: TDBChart;
    ClientDataSet1Semana: TIntegerField;
    ClientDataSet1Valor: TIntegerField;
    Series1: TBarSeries;
    RvDataSetConnection1: TRvDataSetConnection;
    procedure Button1Click(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

{$R *.dfm}

procedure TForm1.Button1Click(Sender: TObject);
var
  Grafico: TMetafile;
  Stream: TMemoryStream;
  ImagemGrafico: TPicture;
  pgcRelatorio: TRavePage;
  memPadrao: TRaveMemo;
  imgCabecalho, imgGrafico: TRaveBitmap;
begin
  prjRave.Open;
  pgcRelatorio := prjRave.ProjMan.FindRaveComponent('Report1.Page1', nil) as TRavePage;

  imgCabecalho := prjRave.ProjMan.FindRaveComponent('Bitmap1', pgcRelatorio) as TRaveBitmap;
  imgCabecalho.Image := Image1.Picture.Graphic;

  memPadrao := prjRave.ProjMan.FindRaveComponent('Memo1', pgcRelatorio) as TRaveMemo;
  memPadrao.Text := memTxtPadrao.Lines.Text;

  Grafico := DBChart1.TeeCreateMetafile(True, DBChart1.GetRectangle);
  Stream := TMemoryStream.Create;
  ImagemGrafico := TPicture.Create;

  try
    with ImagemGrafico.Bitmap do
    begin
      Height := Grafico.Height;
      Width := Grafico.Width;
      Canvas.Draw(0, 0, Grafico);
    end;

    imgGrafico := prjRave.ProjMan.FindRaveComponent('Bitmap2', pgcRelatorio) as TRaveBitmap;
    imgGrafico.Image := ImagemGrafico.Graphic;
  finally
    Stream.Free;
    ImagemGrafico.Free;
    Grafico.Free;
  end;

  prjRave.ExecuteReport('Report1');
  prjRave.Close;
end;

procedure TForm1.FormCreate(Sender: TObject);
begin
  ClientDataSet1.Open;
  ClientDataSet1.Append;
  ClientDataSet1.FieldByName('Semana').AsInteger := 1;
  ClientDataSet1.FieldByName('Valor').AsInteger := 1000;
  ClientDataSet1.Post;
  ClientDataSet1.Append;
  ClientDataSet1.FieldByName('Semana').AsInteger := 2;
  ClientDataSet1.FieldByName('Valor').AsInteger := 2500;
  ClientDataSet1.Post;
  ClientDataSet1.Append;
  ClientDataSet1.FieldByName('Semana').AsInteger := 3;
  ClientDataSet1.FieldByName('Valor').AsInteger := 7000;
  ClientDataSet1.Post;
  ClientDataSet1.Append;
  ClientDataSet1.FieldByName('Semana').AsInteger := 4;
  ClientDataSet1.FieldByName('Valor').AsInteger := 4000;
  ClientDataSet1.Post;
  ClientDataSet1.Append;
  ClientDataSet1.FieldByName('Semana').AsInteger := 5;
  ClientDataSet1.FieldByName('Valor').AsInteger := 1300;
  ClientDataSet1.Post;
end;

end.
