unit FDicionario;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ActnList, ImgList, PlatformDefaultStyleActnCtrls, ActnMan,
  GestureMgr, ExtCtrls, StdCtrls;

type
  TfrmDicionario = class(TForm)
    imgDicionario: TImage;
    GestureManager: TGestureManager;
    ActionManager: TActionManager;
    imgLst: TImageList;
    actPrior: TAction;
    actNext: TAction;
    procedure actPriorExecute(Sender: TObject);
    procedure actNextExecute(Sender: TObject);
  private

  public
    { Public declarations }
  end;

var
  frmDicionario: TfrmDicionario;
  oPosition: Integer = -1;

implementation

{$R *.dfm}

procedure TfrmDicionario.actNextExecute(Sender: TObject);
begin
  Inc(oPosition);
  if (oPosition >= imgLst.Count) then begin
    MessageBox(Application.Handle, 'ltima Imagem...', 'Gesture', 0);
  end
  else begin
    imgDicionario.Picture := nil;
    imgLst.GetBitmap(oPosition, imgDicionario.Picture.Bitmap);
  end;
end;

procedure TfrmDicionario.actPriorExecute(Sender: TObject);
begin
  Dec(oPosition);
  if (oPosition <= -1) then begin
    MessageBox(Application.Handle, 'Primeira Imagem...', 'Gesture', 0);
  end
  else begin
    imgDicionario.Picture := nil;
    imgLst.GetBitmap(oPosition, imgDicionario.Picture.Bitmap);
  end;
end;

end.
