unit FMain;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, ExtCtrls, StdCtrls, PlatformDefaultStyleActnCtrls, ActnList, ActnMan,
  GestureMgr, FDicionario, Keyboard;

type
  TfrmMain = class(TForm)
    mmoTexto: TMemo;
    gpbWrite: TGroupBox;
    imgWrite: TImage;
    GestureManager: TGestureManager;
    ActionManager: TActionManager;
    ckbMinusculas: TCheckBox;
    actA: TAction;
    actB: TAction;
    actC: TAction;
    actD: TAction;
    actE: TAction;
    actF: TAction;
    actG: TAction;
    actH: TAction;
    actI: TAction;
    actJ: TAction;
    actK: TAction;
    actL: TAction;
    actM: TAction;
    actN: TAction;
    actP: TAction;
    actQ: TAction;
    actR: TAction;
    actS: TAction;
    actT: TAction;
    actU: TAction;
    actV: TAction;
    actW: TAction;
    actX: TAction;
    actY: TAction;
    actZ: TAction;
    act0: TAction;
    act1: TAction;
    act2: TAction;
    act3: TAction;
    act4: TAction;
    act5: TAction;
    act6: TAction;
    act7: TAction;
    act8: TAction;
    actO: TAction;
    actEspaco: TAction;
    act9: TAction;
    lblDicionario: TLabel;
    tkbGesture: TTouchKeyboard;
    btnShow: TButton;
    procedure actAExecute(Sender: TObject);
    procedure actEspacoExecute(Sender: TObject);
    procedure actBExecute(Sender: TObject);
    procedure actCExecute(Sender: TObject);
    procedure actDExecute(Sender: TObject);
    procedure actEExecute(Sender: TObject);
    procedure actFExecute(Sender: TObject);
    procedure actGExecute(Sender: TObject);
    procedure actHExecute(Sender: TObject);
    procedure actIExecute(Sender: TObject);
    procedure actJExecute(Sender: TObject);
    procedure actKExecute(Sender: TObject);
    procedure actLExecute(Sender: TObject);
    procedure actMExecute(Sender: TObject);
    procedure actNExecute(Sender: TObject);
    procedure actPExecute(Sender: TObject);
    procedure actQExecute(Sender: TObject);
    procedure actSExecute(Sender: TObject);
    procedure actTExecute(Sender: TObject);
    procedure actUExecute(Sender: TObject);
    procedure actVExecute(Sender: TObject);
    procedure actWExecute(Sender: TObject);
    procedure actXExecute(Sender: TObject);
    procedure actYExecute(Sender: TObject);
    procedure actZExecute(Sender: TObject);
    procedure act0Execute(Sender: TObject);
    procedure act1Execute(Sender: TObject);
    procedure act2Execute(Sender: TObject);
    procedure act3Execute(Sender: TObject);
    procedure act4Execute(Sender: TObject);
    procedure act5Execute(Sender: TObject);
    procedure act6Execute(Sender: TObject);
    procedure act7Execute(Sender: TObject);
    procedure act8Execute(Sender: TObject);
    procedure actOExecute(Sender: TObject);
    procedure act9Execute(Sender: TObject);
    procedure imgWriteMouseDown(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure imgWriteMouseMove(Sender: TObject; Shift: TShiftState; X,
      Y: Integer);
    procedure imgWriteMouseUp(Sender: TObject; Button: TMouseButton;
      Shift: TShiftState; X, Y: Integer);
    procedure lblDicionarioClick(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure btnShowClick(Sender: TObject);
  private
    XAux, YAux : Integer;
    oHeightExpanded, oHeightColapsed : Integer;
    procedure SetCharOnText(aChar : string);
  public
    { Public declarations }
  end;

var
  frmMain: TfrmMain;

implementation

{$R *.dfm}

{ TfrmMain }

procedure TfrmMain.act0Execute(Sender: TObject);
begin
  Self.SetCharOnText('0');
end;

procedure TfrmMain.act1Execute(Sender: TObject);
begin
  Self.SetCharOnText('1');
end;

procedure TfrmMain.act2Execute(Sender: TObject);
begin
  Self.SetCharOnText('2');
end;

procedure TfrmMain.act3Execute(Sender: TObject);
begin
  Self.SetCharOnText('3');
end;

procedure TfrmMain.act4Execute(Sender: TObject);
begin
  Self.SetCharOnText('4');
end;

procedure TfrmMain.act5Execute(Sender: TObject);
begin
  Self.SetCharOnText('5');
end;

procedure TfrmMain.act6Execute(Sender: TObject);
begin
  Self.SetCharOnText('6');
end;

procedure TfrmMain.act7Execute(Sender: TObject);
begin
  Self.SetCharOnText('7');
end;

procedure TfrmMain.act8Execute(Sender: TObject);
begin
  Self.SetCharOnText('8');
end;

procedure TfrmMain.act9Execute(Sender: TObject);
begin
  Self.SetCharOnText('9');
end;

procedure TfrmMain.actAExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('a');
  end
  else begin
    Self.SetCharOnText('A');
  end;
end;

procedure TfrmMain.actBExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('b');
  end
  else begin
    Self.SetCharOnText('B');
  end;
end;

procedure TfrmMain.actCExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('c');
  end
  else begin
    Self.SetCharOnText('C');
  end;
end;

procedure TfrmMain.actDExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('d');
  end
  else begin
    Self.SetCharOnText('D');
  end;
end;

procedure TfrmMain.actEExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('e');
  end
  else begin
    Self.SetCharOnText('E');
  end;
end;

procedure TfrmMain.actEspacoExecute(Sender: TObject);
begin
  Self.SetCharOnText(' ');
end;

procedure TfrmMain.actFExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('f');
  end
  else begin
    Self.SetCharOnText('F');
  end;
end;

procedure TfrmMain.actGExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('g');
  end
  else begin
    Self.SetCharOnText('G');
  end;
end;

procedure TfrmMain.actHExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('h');
  end
  else begin
    Self.SetCharOnText('H');
  end;
end;

procedure TfrmMain.actIExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('i');
  end
  else begin
    Self.SetCharOnText('I');
  end;
end;

procedure TfrmMain.actJExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('j');
  end
  else begin
    Self.SetCharOnText('J');
  end;
end;

procedure TfrmMain.actKExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('k');
  end
  else begin
    Self.SetCharOnText('K');
  end;
end;

procedure TfrmMain.actLExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('l');
  end
  else begin
    Self.SetCharOnText('L');
  end;
end;

procedure TfrmMain.actMExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('m');
  end
  else begin
    Self.SetCharOnText('M');
  end;
end;

procedure TfrmMain.actNExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('n');
  end
  else begin
    Self.SetCharOnText('N');
  end;
end;

procedure TfrmMain.actOExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('o');
  end
  else begin
    Self.SetCharOnText('O');
  end;
end;

procedure TfrmMain.actPExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('p');
  end
  else begin
    Self.SetCharOnText('P');
  end;
end;

procedure TfrmMain.actQExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('r');
  end
  else begin
    Self.SetCharOnText('R');
  end;
end;

procedure TfrmMain.actSExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('s');
  end
  else begin
    Self.SetCharOnText('S');
  end;
end;

procedure TfrmMain.actTExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('t');
  end
  else begin
    Self.SetCharOnText('T');
  end;
end;

procedure TfrmMain.actUExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('u');
  end
  else begin
    Self.SetCharOnText('U');
  end;
end;

procedure TfrmMain.actVExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('v');
  end
  else begin
    Self.SetCharOnText('V');
  end;
end;

procedure TfrmMain.actWExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('w');
  end
  else begin
    Self.SetCharOnText('W');
  end;
end;

procedure TfrmMain.actXExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('x');
  end
  else begin
    Self.SetCharOnText('X');
  end;
end;

procedure TfrmMain.actYExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('y');
  end
  else begin
    Self.SetCharOnText('Y');
  end;
end;

procedure TfrmMain.actZExecute(Sender: TObject);
begin
  if ckbMinusculas.Checked then begin
    Self.SetCharOnText('z');
  end
  else begin
    Self.SetCharOnText('Z');
  end;
end;



procedure TfrmMain.FormShow(Sender: TObject);
begin
  oHeightExpanded := frmMain.ClientHeight;
  oHeightColapsed := 390;
  frmMain.ClientHeight := oHeightColapsed;procedure TfrmMain.btnShowClick(Sender: TObject);
begin
  if (btnShow.Caption = 'v') then begin
    btnShow.Caption := '^';
    frmMain.ClientHeight := oHeightExpanded;
  end
  else begin
    btnShow.Caption := 'v';
    frmMain.ClientHeight := oHeightColapsed;
  end;
  mmoTexto.SetFocus;
end;
end;

procedure TfrmMain.imgWriteMouseDown(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  XAux:= X;
  YAux:= Y;
end;

procedure TfrmMain.imgWriteMouseMove(Sender: TObject; Shift: TShiftState; X,
  Y: Integer);
begin
  if (Shift = [ssLeft]) then begin
    imgWrite.Canvas.Pen.Width:= 5;
    imgWrite.Canvas.MoveTo(XAux,YAux);
    imgWrite.Canvas.LineTo(X,Y);
    XAux:= X;
    YAux:= Y;
  end;
end;

procedure TfrmMain.imgWriteMouseUp(Sender: TObject; Button: TMouseButton;
  Shift: TShiftState; X, Y: Integer);
begin
  imgWrite.picture:=nil;
end;

procedure TfrmMain.lblDicionarioClick(Sender: TObject);
begin
  try
    if not Assigned(frmDicionario) then begin
      frmDicionario := TfrmDicionario.Create(Application);
    end;

    frmDicionario.ShowModal;
  finally
    FreeAndNil(frmDicionario);
  end;
end;

procedure TfrmMain.SetCharOnText(aChar: string);
begin
  mmoTexto.Lines.Text := mmoTexto.Lines.Text + aChar;
end;

end.
