SET SQL DIALECT 3;

SET NAMES WIN1252;

CREATE DATABASE 'C:\D4PHP\database\db_news.ib'
USER 'SYSDBA' PASSWORD 'masterkey'
PAGE_SIZE 4096
DEFAULT CHARACTER SET WIN1252;



/******************************************************************************/
/****                              Generators                              ****/
/******************************************************************************/

CREATE GENERATOR GEN_NOTICIAS_ID;
SET GENERATOR GEN_NOTICIAS_ID TO 4;



/******************************************************************************/
/****                                Tables                                ****/
/******************************************************************************/



CREATE TABLE NOTICIAS (
    ID      INTEGER NOT NULL,
    DATA    DATE NOT NULL,
    TITULO  VARCHAR(50) NOT NULL,
    TEXTO   VARCHAR(255) NOT NULL,
    AUTOR   VARCHAR(50) NOT NULL
);



/******************************************************************************/
/****                             Primary Keys                             ****/
/******************************************************************************/

ALTER TABLE NOTICIAS ADD CONSTRAINT PK_NOTICIAS PRIMARY KEY (ID);


/******************************************************************************/
/****                               Triggers                               ****/
/******************************************************************************/


SET TERM ^ ;



/******************************************************************************/
/****                         Triggers for tables                          ****/
/******************************************************************************/



/* Trigger: NOTICIAS_BI */
CREATE TRIGGER NOTICIAS_BI FOR NOTICIAS
ACTIVE BEFORE INSERT POSITION 0
as
begin
  if (new.id is null) then
    new.id = gen_id(gen_noticias_id,1);
end
^

SET TERM ; ^

